extern void init_conf_parse(struct Message *mptr);
extern void c_admin(int, char **);
extern void c_calc(int, char **);
extern void c_connect(int, char **);
extern void c_datafile(int, char **);
extern void c_description(int, char **);
extern void c_domainexpire(int, char **);
extern void c_domainhash(int, char **);
extern void c_domainheap(int, char**);
extern void c_exempt(int, char **);
extern void c_location(int, char **);
extern void c_maxthresh(int, char **);
extern void c_network(int, char **);
extern void c_serverexpire(int, char **);
extern void c_serverhash(int, char **);
extern void c_serverheap(int, char **);
extern void c_servname(int, char **);
extern void c_rrddir(int, char **);
extern void c_userhash(int, char **);
extern void c_userheap(int, char **);
extern void c_username(int, char **);
extern void do_conf(char *);

#ifdef CONFTAB
struct Message conftab[] = {
	{ "ADMIN", c_admin, 1 },
	{ "CALCTIME", c_calc, 1 },
	{ "CONNECT", c_connect, 4 },
	{ "DATAFILE", c_datafile, 1 },
	{ "DESCRIPTION", c_description, 1 },
	{ "DOMAINEXPIRE", c_domainexpire, 1 },
	{ "DOMAINHASH", c_domainhash, 1 },
	{ "DOMAINHEAP", c_domainheap, 1 },
	{ "EXEMPT", c_exempt, 1 },
	{ "LOCATION", c_location, 1 },
	{ "MAXTHRESH", c_maxthresh, 1 },
	{ "NETWORK", c_network, 1 },
	{ "RRDDIR", c_rrddir, 1 },
	{ "SERVEREXPIRE", c_serverexpire, 1 },
	{ "SERVERHASH", c_serverhash, 1 },
	{ "SERVERHEAP", c_serverheap, 1 },
	{ "SERVNAME", c_servname, 1 },
	{ "USERHASH", c_userhash, 1 },
	{ "USERHEAP", c_userheap, 1 },
	{ "USERNAME", c_username, 1 },
	{ (char *) 0, (void (*)(int, char **)) 0 }
};

struct MessageTree* conf_tree_root;
#else
extern struct Message       conftab[];
extern struct MessageTree*  conf_tree_root;
#endif

extern struct MessageTree* conf_tree_root;

