struct server_struct
{
	char			servername[HOSTLEN+1];
	char			version[VERLEN+1];
	unsigned long		tot_users;
	unsigned long		tot_opers;
	unsigned long		tot_dupes;
	unsigned short		cur_users;
	unsigned short		cur_opers;
	unsigned short		cur_dupes;
	unsigned short		max_users;
	unsigned short		max_opers;
	unsigned short		max_dupes;
	unsigned short		splits;
	unsigned char		links;
	unsigned int		okills;
	unsigned int		skills;
	time_t			last;
	struct server_struct	*uplink;
	struct list_struct	*users;
	struct list_struct	*servers;
	unsigned char		connected : 1;
};

typedef struct server_struct SERVERS;
typedef SERVERS *SERVPTR;

extern LISTPTR		*servers;
#ifndef NOBALLOC
extern BlockHeap	*server_heap;
#endif

/* prototypes */
extern SERVPTR serv_add(char *);
extern void serv_del(char *, unsigned int);
extern void serv_rm(SERVPTR);
extern SERVPTR serv_find(char *);
extern void server_init(void);
