struct user_struct
{
	char			nickname[NICKLEN+1];
	char			username[USERLEN+1];
	char			hostname[HOSTLEN+1];
	struct domain_struct	*domain;
	struct server_struct	*server;
	unsigned char		oper : 1;
	unsigned char		dupe : 1;
};

typedef struct user_struct USERS;
typedef USERS *USERPTR;

extern LISTPTR		*users;
#ifndef NOBALLOC
extern BlockHeap	*user_heap;
#endif

/* prototypes */
extern USERPTR user_add(char *, char *, char *, struct server_struct *);
extern void user_del(char *); 
extern USERPTR user_find(char *);
extern void user_signoff(char *);
extern void user_init(void);
