#include "alcstats.h"
#include "list.h"
#include "connlist.h"

LISTPTR conns=NULL, cur_conn=NULL;

CONNPTR conn_add(char *host, char *pass, char *name, int port)
{
	LISTPTR	entry;
	CONNPTR	conn;

	conn = MyMalloc(sizeof(CONNS));
	entry = list_add_ptr(&conns, conn);
	conn->name = mystrdup(name);
	conn->host = mystrdup(host);
	conn->pass = mystrdup(pass);
	conn->port = port;
	return conn;
}

void rotate_conn(void)
{
	if (cur_conn->next != NULL) {
		cur_conn = cur_conn->next;
		return;
	}

	cur_conn = conns;
	sleep(10); /* We're at the end of the list, wait a few seconds before
		      we try again. */
}
