struct domain_struct
{
	char			domainname[HOSTLEN+1];
	unsigned long		tot_users;
	unsigned long		tot_dupes;
	unsigned long		tot_opers;
	unsigned short		cur_users;
	unsigned short		cur_dupes;
	unsigned short		cur_opers;
	unsigned short		max_users;
	unsigned short		max_dupes;
	unsigned short		max_opers;
	unsigned int		kills;
	time_t			last;
	struct list_struct	*users;
};

typedef struct domain_struct DOMAINS;
typedef DOMAINS *DOMAINPTR;

extern LISTPTR		*domains;
#ifndef NOBALLOC
extern BlockHeap	*domain_heap;
#endif

/* prototypes */
extern DOMAINPTR domain_add(char *);
extern void domain_del(char *);
extern DOMAINPTR domain_find(char *);
extern void domain_init(void);
