#include "alcstats.h"
#include "list.h"
#include "exempt.h"

LISTPTR exempts=NULL;

EXEMPTPTR exempt_add(char *servname)
{
	LISTPTR		entry;
	EXEMPTPTR	exempt;

	exempt = MyMalloc(sizeof(EXEMPTS));
	entry = list_add_ptr(&exempts, exempt);
	mystrlcpy(exempt->servername, servname, HOSTLEN);
	return exempt;
}

int is_exempt(char *servname)
{
	LISTPTR		cur_ptr;
	EXEMPTPTR	exempt;

	for (cur_ptr = exempts; cur_ptr != NULL; cur_ptr = cur_ptr->next) {
		if ((exempt = cur_ptr->data) == NULL)
			continue;
		if (!strcmp(exempt->servername, servname))
			return 1;
	}
	return 0;
}
