#include "alcstats.h"
#include "list.h"
#include "hash.h"

unsigned int hash_domain(char *name)
{
	int i = 30;
	unsigned int h = 0;

	for (; *name; ++name) {
		*name = tolower(*name);
		if (i) {
			h = (h << 4) - (h + (unsigned char)*name);
			--i;
		}
	}
	return (h & (conf.domainhsize - 1));
}

unsigned int hash_server(char *name)
{
	int i = 30;
	unsigned int h = 0;

	for (; *name; ++name) {
		*name = tolower(*name);
		if (i) {
			h = (h << 4) - (h + (unsigned char)*name);
			--i;
		}
	}
	return (h & (conf.serverhsize - 1));
}

unsigned int hash_nick_name(char *name)
{
	unsigned int h = 0;

	for (; *name; ++name) {
		*name = tolower(*name);
		h = (h << 4) - (h + (unsigned char)*name);
	}
	return (h & (conf.userhsize - 1));
}
